#include "ti86asm.inc"

.org _asm_exec_ram

 nop
 jp progstart
 
.dw 0,title

title
.db "TI-86 chars",0

progstart
 xor a
 ld ($ca00),a
loop
 call _homeup
 ld a,($ca00)
 push af
 and $f0
 call $4383
 call drawhexdigit
 pop af
 push af
 and $0f
 call drawhexdigit
 pop af
 cp $d6
 jr nz,draw
 ld a,$3a
draw
 call _putmap
 call _getkey
 ld hl,$ca00
 cp kRight
 jr nz,skip1
 inc (hl)
skip1
 cp kLeft
 jr nz,skip2
 dec (hl)
skip2
 cp kEnter
 jr nz,skip3
 ld a,1
 ld ($c012),a
 ld a,(hl)
 ld ($c013),a
 xor a
skip3
 cp kExit
 jr nz,loop
 ret
 
drawhexdigit
 cp 10
 jp nc,_putc
 add a,48
 jp _putc